<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="deb87e12-87cf-4e37-bffe-bf7390933348" name="Default" comment="">
      <change beforePath="$PROJECT_DIR$/source/class/discuz/discuz_admincp.php" afterPath="$PROJECT_DIR$/source/class/discuz/discuz_admincp.php" />
      <change beforePath="$PROJECT_DIR$/source/function/function_member.php" afterPath="$PROJECT_DIR$/source/function/function_member.php" />
    </list>
    <option name="EXCLUDED_CONVERTED_TO_IGNORED" value="true" />
    <option name="TRACKING_ENABLED" value="true" />
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="FileEditorManager">
    <leaf SIDE_TABS_SIZE_LIMIT_KEY="375">
      <file leaf-file-name="forum_group.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source/module/forum/forum_group.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="539">
              <caret line="366" column="58" lean-forward="false" selection-start-line="366" selection-start-column="58" selection-end-line="366" selection-end-column="58" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="function_core.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source/function/function_core.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="124">
              <caret line="1429" column="9" lean-forward="false" selection-start-line="1429" selection-start-column="9" selection-end-line="1429" selection-end-column="9" />
              <folding>
                <marker date="1525615190064" expanded="true" signature="58672:58732" ph="SELECT COUNT... ${DB::table($tablename)}" />
                <marker date="1525615190064" expanded="true" signature="64451:64529" ph="SELECT table... ${DB::table('forum_attachment')}" />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="function_forum.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source/function/function_forum.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="26">
              <caret line="707" column="9" lean-forward="false" selection-start-line="707" selection-start-column="9" selection-end-line="707" selection-end-column="9" />
              <folding>
                <marker date="1523670581543" expanded="true" signature="5803:5809" ph=" " />
                <marker date="1523670581543" expanded="true" signature="5809:5815" ph=" " />
                <marker date="1523670581543" expanded="true" signature="5815:5821" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6033:6039" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6039:6045" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6045:6051" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6260:6266" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6266:6272" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6311:6317" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6317:6323" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6327:6333" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6333:6339" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6377:6383" ph=" " />
                <marker date="1523670581543" expanded="true" signature="6383:6389" ph=" " />
                <marker date="1523670581543" expanded="true" signature="10826:10832" ph=" " />
                <marker date="1523670581543" expanded="true" signature="10832:10838" ph=" " />
                <marker date="1523670581543" expanded="true" signature="10838:10844" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11046:11052" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11052:11058" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11058:11064" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11273:11279" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11279:11285" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11324:11330" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11330:11336" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11340:11346" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11346:11352" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11390:11396" ph=" " />
                <marker date="1523670581543" expanded="true" signature="11396:11402" ph=" " />
                <marker date="1523670581543" expanded="true" signature="12371:12377" ph=" " />
                <marker date="1523670581543" expanded="true" signature="40714:40723" ph="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="3_diy_group_group.tpl.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_group.tpl.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="253">
              <caret line="1194" column="40" lean-forward="true" selection-start-line="1194" selection-start-column="40" selection-end-line="1194" selection-end-column="40" />
              <folding>
                <marker date="1525660444406" expanded="true" signature="18891:18903" ph="..." />
              </folding>
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="area.js" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/data/cache/area-select/area.js">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="739">
              <caret line="34" column="1" lean-forward="false" selection-start-line="34" selection-start-column="1" selection-end-line="34" selection-end-column="1" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="config_global.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/config_global.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="-914">
              <caret line="52" column="0" lean-forward="true" selection-start-line="52" selection-start-column="0" selection-end-line="52" selection-end-column="0" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="config_ucenter.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/config/config_ucenter.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="217">
              <caret line="7" column="35" lean-forward="false" selection-start-line="7" selection-start-column="19" selection-end-line="7" selection-end-column="35" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="admin.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/admin.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="481">
              <caret line="28" column="12" lean-forward="true" selection-start-line="28" selection-start-column="12" selection-end-line="28" selection-end-column="12" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="discuz_admincp.php" pinned="false" current-in-tab="false">
        <entry file="file://$PROJECT_DIR$/source/class/discuz/discuz_admincp.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="119">
              <caret line="174" column="22" lean-forward="true" selection-start-line="174" selection-start-column="22" selection-end-line="174" selection-end-column="22" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
      <file leaf-file-name="function_member.php" pinned="false" current-in-tab="true">
        <entry file="file://$PROJECT_DIR$/source/function/function_member.php">
          <provider selected="true" editor-type-id="text-editor">
            <state relative-caret-position="336">
              <caret line="106" column="15" lean-forward="false" selection-start-line="106" selection-start-column="15" selection-end-line="106" selection-end-column="15" />
              <folding />
            </state>
          </provider>
        </entry>
      </file>
    </leaf>
  </component>
  <component name="FindInProjectRecents">
    <findStrings>
      <find>上传</find>
      <find>推荐</find>
      <find>create</find>
      <find>$parentid</find>
      <find>sd wk_sq_sd padding15 backfff</find>
      <find>mn wk_f_mn padding15 backfff</find>
      <find>jquery</find>
      <find>收藏</find>
      <find>fwin_a_favorite</find>
      <find>append_parent</find>
      <find>$groupnav</find>
      <find>common.js</find>
      <find>ct2 wp cl week_ct2</find>
      <find>group_recommend</find>
      <find>$cachelist</find>
      <find>$sgid</find>
      <find>cachelist</find>
      <find>所属地区</find>
      <find>manage</find>
      <find>加入方式</find>
      <find>上传LOGO</find>
      <find>bannernew_image</find>
      <find>bannernew_upload</find>
      <find>bannernew_url</find>
      <find>创建我的俱乐部</find>
      <find>checkgroupname</find>
      <find>print_r</find>
      <find>所属分类</find>
      <find>s_province</find>
      <find>upload_icon_banner</find>
    </findStrings>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="IdeDocumentHistory">
    <option name="CHANGED_PATHS">
      <list>
        <option value="$PROJECT_DIR$/static/js/forum_post.js" />
        <option value="$PROJECT_DIR$/source/language/lang_message.php" />
        <option value="$PROJECT_DIR$/forum.php" />
        <option value="$PROJECT_DIR$/source/function/function_group.php" />
        <option value="$PROJECT_DIR$/static/js/common.js" />
        <option value="$PROJECT_DIR$/data/template/3_3_common_header_no_nav.tpl.php" />
        <option value="$PROJECT_DIR$/data/cache/area-select/area.js" />
        <option value="$PROJECT_DIR$/data/template/3_diy_group_index.tpl.php" />
        <option value="$PROJECT_DIR$/group.php" />
        <option value="$PROJECT_DIR$/source/class/discuz/discuz_application.php" />
        <option value="$PROJECT_DIR$/source/function/function_core.php" />
        <option value="$PROJECT_DIR$/template/default/group/group_area.htm" />
        <option value="$PROJECT_DIR$/data/template/3_diy_group_area.tpl.php" />
        <option value="$PROJECT_DIR$/source/module/group/group_index.php" />
        <option value="$PROJECT_DIR$/source/function/function_forum.php" />
        <option value="$PROJECT_DIR$/data/template/3_diy_group_group.tpl.php" />
        <option value="$PROJECT_DIR$/source/module/forum/forum_group.php" />
        <option value="$PROJECT_DIR$/config/config_global.php" />
        <option value="$PROJECT_DIR$/config/config_ucenter.php" />
        <option value="$PROJECT_DIR$/admin.php" />
        <option value="$PROJECT_DIR$/source/class/discuz/discuz_admincp.php" />
        <option value="$PROJECT_DIR$/source/function/function_member.php" />
      </list>
    </option>
  </component>
  <component name="JsBuildToolGruntFileManager" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsBuildToolPackageJson" detection-done="true" sorting="DEFINITION_ORDER" />
  <component name="JsGulpfileManager">
    <detection-done>true</detection-done>
    <sorting>DEFINITION_ORDER</sorting>
  </component>
  <component name="PhpWorkspaceProjectConfiguration" backward_compatibility_performed="true" />
  <component name="ProjectFrameBounds" extendedState="7">
    <option name="x" value="260" />
    <option name="y" value="20" />
    <option name="width" value="1400" />
    <option name="height" value="990" />
  </component>
  <component name="ProjectLevelVcsManager" settingsEditedManually="true">
    <ConfirmationsSetting value="2" id="Add" />
  </component>
  <component name="ProjectView">
    <navigator currentView="ProjectPane" proportions="" version="1">
      <flattenPackages />
      <showMembers />
      <showModules />
      <showLibraryContents />
      <hideEmptyPackages />
      <abbreviatePackageNames />
      <autoscrollToSource />
      <autoscrollFromSource />
      <sortByType />
      <manualOrder />
      <foldersAlwaysOnTop value="true" />
    </navigator>
    <panes>
      <pane id="Scratches" />
      <pane id="ProjectPane">
        <subPane>
          <expand>
            <path>
              <item name="zijia" type="b2602c69:ProjectViewProjectNode" />
              <item name="zijia" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="zijia" type="b2602c69:ProjectViewProjectNode" />
              <item name="zijia" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="config" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="zijia" type="b2602c69:ProjectViewProjectNode" />
              <item name="zijia" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="data" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
            <path>
              <item name="zijia" type="b2602c69:ProjectViewProjectNode" />
              <item name="zijia" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="data" type="2a2b976b:PhpTreeStructureProvider$1" />
              <item name="template" type="2a2b976b:PhpTreeStructureProvider$1" />
            </path>
          </expand>
          <select />
        </subPane>
      </pane>
      <pane id="Scope" />
    </panes>
  </component>
  <component name="PropertiesComponent">
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="SearchEverywhereHistoryKey" value="area.js&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/cache/area-select/area.js&#10;forum_aj&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/forum/forum_ajax.php&#10;group_grou&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_diy_group_group.tpl.php&#10;foru&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/forum/forum_group.php&#10;gr&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_diy_group_index.tpl.php&#10;group.php&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/group/group_index.php&#10;header.htm&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/template/default/common/header.htm&#10;header_no_nav&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_3_common_header_no_nav.tpl.php&#10;group_index&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_diy_group_index.tpl.php&#10;3_diy_group_group&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_diy_group_group.tpl.php&#10;forum_group&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/forum/forum_group.php&#10;group_&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_diy_group_index.tpl.php&#10;forum_gro&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/forum/forum_group.php&#10;3_3_common_showmessage&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_3_common_showmessage.tpl.php&#10;function/function_message&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/function/function_message.php&#10;forum_ajax&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/forum/forum_ajax.php&#10;forum_grou&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/source/module/forum/forum_group.php&#10;3_diy_group_index&#9;FILE&#9;file://D:/wamp64/www/Project/zijia/data/template/3_diy_group_index.tpl.php" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\wamp64\www\Project\zijia\data\template" />
      <recent name="D:\wamp64\www\Project\zijia\template\default\group" />
    </key>
  </component>
  <component name="RunDashboard">
    <option name="ruleStates">
      <list>
        <RuleState>
          <option name="name" value="ConfigurationTypeDashboardGroupingRule" />
        </RuleState>
        <RuleState>
          <option name="name" value="StatusDashboardGroupingRule" />
        </RuleState>
      </list>
    </option>
  </component>
  <component name="ShelveChangesManager" show_recycled="false">
    <option name="remove_strategy" value="false" />
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="deb87e12-87cf-4e37-bffe-bf7390933348" name="Default" comment="" />
      <created>1525013349427</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1525013349427</updated>
      <workItem from="1525013350506" duration="115000" />
      <workItem from="1525013490770" duration="4105000" />
      <workItem from="1525181078381" duration="610000" />
      <workItem from="1525227575525" duration="11054000" />
      <workItem from="1525275777043" duration="4000" />
      <workItem from="1525612433789" duration="9986000" />
      <workItem from="1525658293907" duration="6691000" />
    </task>
    <servers />
  </component>
  <component name="TimeTrackingManager">
    <option name="totallyTimeSpent" value="32565000" />
  </component>
  <component name="ToolWindowManager">
    <frame x="-9" y="-9" width="1938" height="1048" extended-state="7" />
    <editor active="true" />
    <layout>
      <window_info id="Project" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="0" side_tool="false" content_ui="combo" />
      <window_info id="TODO" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="6" side_tool="false" content_ui="tabs" />
      <window_info id="Docker" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="false" weight="0.33" sideWeight="0.5" order="10" side_tool="false" content_ui="tabs" />
      <window_info id="Event Log" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="7" side_tool="true" content_ui="tabs" />
      <window_info id="Database" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Version Control" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="8" side_tool="false" content_ui="tabs" />
      <window_info id="Run" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="false" content_ui="tabs" />
      <window_info id="Structure" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Terminal" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="9" side_tool="false" content_ui="tabs" />
      <window_info id="Favorites" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="3" side_tool="true" content_ui="tabs" />
      <window_info id="Debug" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="3" side_tool="false" content_ui="tabs" />
      <window_info id="Cvs" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="4" side_tool="false" content_ui="tabs" />
      <window_info id="Message" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Commander" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="0" side_tool="false" content_ui="tabs" />
      <window_info id="Inspection" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.4" sideWeight="0.5" order="5" side_tool="false" content_ui="tabs" />
      <window_info id="npm" active="false" anchor="left" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.33" sideWeight="0.5" order="2" side_tool="true" content_ui="tabs" />
      <window_info id="Hierarchy" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="2" side_tool="false" content_ui="combo" />
      <window_info id="Find" active="false" anchor="bottom" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.32955715" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
      <window_info id="Ant Build" active="false" anchor="right" auto_hide="false" internal_type="DOCKED" type="DOCKED" visible="false" show_stripe_button="true" weight="0.25" sideWeight="0.5" order="1" side_tool="false" content_ui="tabs" />
    </layout>
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsContentAnnotationSettings">
    <option name="myLimit" value="2678400000" />
  </component>
  <component name="XDebuggerManager">
    <breakpoint-manager />
    <watches-manager />
  </component>
  <component name="editorHistoryManager">
    <entry file="file://$PROJECT_DIR$/config/config_ucenter.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="248">
          <caret line="8" column="0" lean-forward="false" selection-start-line="8" selection-start-column="2" selection-end-line="9" selection-end-column="30" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_index.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="248">
          <caret line="8" column="13" lean-forward="false" selection-start-line="5" selection-start-column="4" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/group/group_index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4371">
          <caret line="146" column="0" lean-forward="false" selection-start-line="146" selection-start-column="0" selection-end-line="146" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/forum/forum_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3596">
          <caret line="121" column="47" lean-forward="false" selection-start-line="121" selection-start-column="47" selection-end-line="121" selection-end-column="47" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4836">
          <caret line="161" column="19" lean-forward="false" selection-start-line="161" selection-start-column="19" selection-end-line="161" selection-end-column="19" />
          <folding>
            <marker date="1525269524011" expanded="true" signature="5365:5373" ph="›" />
            <marker date="1525269524011" expanded="true" signature="5503:5511" ph="›" />
            <marker date="1525269524011" expanded="true" signature="5812:5820" ph="›" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_3_common_header_no_nav.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="682">
          <caret line="21" column="0" lean-forward="false" selection-start-line="21" selection-start-column="0" selection-end-line="21" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/static/js/common.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="37510">
          <caret line="1215" column="137" lean-forward="false" selection-start-line="1215" selection-start-column="137" selection-end-line="1215" selection-end-column="137" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_group.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43679">
          <caret line="1407" column="16" lean-forward="false" selection-start-line="1407" selection-start-column="8" selection-end-line="1407" selection-end-column="16" />
          <folding>
            <marker date="1525660444406" expanded="true" signature="18891:18903" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_index.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="248">
          <caret line="8" column="13" lean-forward="true" selection-start-line="5" selection-start-column="4" selection-end-line="8" selection-end-column="13" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/group/group_index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4371">
          <caret line="146" column="0" lean-forward="true" selection-start-line="146" selection-start-column="0" selection-end-line="146" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/forum/forum_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="3596">
          <caret line="121" column="47" lean-forward="false" selection-start-line="121" selection-start-column="47" selection-end-line="121" selection-end-column="47" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4836">
          <caret line="161" column="19" lean-forward="false" selection-start-line="161" selection-start-column="19" selection-end-line="161" selection-end-column="19" />
          <folding>
            <marker date="1525269524011" expanded="true" signature="5365:5373" ph="›" />
            <marker date="1525269524011" expanded="true" signature="5503:5511" ph="›" />
            <marker date="1525269524011" expanded="true" signature="5812:5820" ph="›" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_3_common_header_no_nav.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="682">
          <caret line="21" column="0" lean-forward="false" selection-start-line="21" selection-start-column="0" selection-end-line="21" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/static/js/common.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="37510">
          <caret line="1215" column="137" lean-forward="false" selection-start-line="1215" selection-start-column="137" selection-end-line="1215" selection-end-column="137" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_group.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="43679">
          <caret line="1407" column="16" lean-forward="false" selection-start-line="1407" selection-start-column="8" selection-end-line="1407" selection-end-column="16" />
          <folding>
            <marker date="1525660444406" expanded="true" signature="18891:18903" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_group.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="23901">
          <caret line="769" column="151" lean-forward="false" selection-start-line="769" selection-start-column="149" selection-end-line="769" selection-end-column="151" />
          <folding>
            <marker date="1525660444406" expanded="true" signature="18891:18903" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config_global.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="5" lean-forward="true" selection-start-line="0" selection-start-column="5" selection-end-line="0" selection-end-column="5" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_index.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2697">
          <caret line="87" column="74" lean-forward="false" selection-start-line="87" selection-start-column="59" selection-end-line="87" selection-end-column="74" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/forum/forum_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="5890">
          <caret line="190" column="34" lean-forward="true" selection-start-line="190" selection-start-column="34" selection-end-line="190" selection-end-column="34" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/misc.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_3_common_showmessage.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-1410">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/language/lang_message.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="558">
          <caret line="40" column="36" lean-forward="true" selection-start-line="40" selection-start-column="36" selection-end-line="40" selection-end-column="36" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_message.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="141" column="25" lean-forward="true" selection-start-line="141" selection-start-column="25" selection-end-line="141" selection-end-column="25" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/static/js/forum_post.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="294">
          <caret line="548" column="22" lean-forward="true" selection-start-line="548" selection-start-column="22" selection-end-line="548" selection-end-column="22" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/forum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="636">
          <caret line="70" column="0" lean-forward="true" selection-start-line="70" selection-start-column="0" selection-end-line="70" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/template/wfdsoft_jiaohu/common/header_no_nav.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/template/default/common/header.htm">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="23" lean-forward="false" selection-start-line="0" selection-start-column="23" selection-end-line="0" selection-end-column="23" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_3_common_header_no_nav.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="682">
          <caret line="21" column="0" lean-forward="false" selection-start-line="21" selection-start-column="0" selection-end-line="21" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/static/js/common.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="853">
          <caret line="1215" column="137" lean-forward="false" selection-start-line="1215" selection-start-column="137" selection-end-line="1215" selection-end-column="137" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/template/default/group/area.htm">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="0">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/template/default/group/group_index.htm">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-4650">
          <caret line="0" column="0" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="0" selection-end-column="0" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/group/group_index.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="694">
          <caret line="148" column="35" lean-forward="false" selection-start-line="148" selection-start-column="35" selection-end-line="148" selection-end-column="35" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/class/discuz/discuz_application.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="570">
          <caret line="496" column="38" lean-forward="true" selection-start-line="496" selection-start-column="38" selection-end-line="496" selection-end-column="38" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/class/class_core.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="527">
          <caret line="46" column="47" lean-forward="false" selection-start-line="46" selection-start-column="47" selection-end-line="46" selection-end-column="47" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="233">
          <caret line="17" column="18" lean-forward="false" selection-start-line="17" selection-start-column="9" selection-end-line="17" selection-end-column="18" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_area.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="357">
          <caret line="97" column="47" lean-forward="false" selection-start-line="97" selection-start-column="47" selection-end-line="97" selection-end-column="47" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_index.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="122">
          <caret line="92" column="6" lean-forward="false" selection-start-line="0" selection-start-column="0" selection-end-line="234" selection-end-column="49" />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="2635">
          <caret line="90" column="9" lean-forward="false" selection-start-line="90" selection-start-column="9" selection-end-line="90" selection-end-column="9" />
          <folding>
            <marker date="1525269524011" expanded="true" signature="5365:5373" ph="›" />
            <marker date="1525269524011" expanded="true" signature="5503:5511" ph="›" />
            <marker date="1525269524011" expanded="true" signature="5812:5820" ph="›" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/forum/forum_ajax.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="4309">
          <caret line="144" column="5" lean-forward="false" selection-start-line="144" selection-start-column="5" selection-end-line="144" selection-end-column="5" />
          <folding>
            <marker date="1523670581653" expanded="true" signature="20209:20299" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/class/discuz/discuz_upload.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="31">
          <caret line="26" column="13" lean-forward="false" selection-start-line="26" selection-start-column="13" selection-end-line="26" selection-end-column="13" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_forum.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="26">
          <caret line="707" column="9" lean-forward="false" selection-start-line="707" selection-start-column="9" selection-end-line="707" selection-end-column="9" />
          <folding>
            <marker date="1523670581543" expanded="true" signature="5803:5809" ph=" " />
            <marker date="1523670581543" expanded="true" signature="5809:5815" ph=" " />
            <marker date="1523670581543" expanded="true" signature="5815:5821" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6033:6039" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6039:6045" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6045:6051" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6260:6266" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6266:6272" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6311:6317" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6317:6323" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6327:6333" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6333:6339" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6377:6383" ph=" " />
            <marker date="1523670581543" expanded="true" signature="6383:6389" ph=" " />
            <marker date="1523670581543" expanded="true" signature="10826:10832" ph=" " />
            <marker date="1523670581543" expanded="true" signature="10832:10838" ph=" " />
            <marker date="1523670581543" expanded="true" signature="10838:10844" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11046:11052" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11052:11058" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11058:11064" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11273:11279" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11279:11285" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11324:11330" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11330:11336" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11340:11346" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11346:11352" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11390:11396" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11396:11402" ph=" " />
            <marker date="1523670581543" expanded="true" signature="12371:12377" ph=" " />
            <marker date="1523670581543" expanded="true" signature="40714:40723" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_core.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="124">
          <caret line="1429" column="9" lean-forward="false" selection-start-line="1429" selection-start-column="9" selection-end-line="1429" selection-end-column="9" />
          <folding>
            <marker date="1525615190064" expanded="true" signature="58672:58732" ph="SELECT COUNT... ${DB::table($tablename)}" />
            <marker date="1525615190064" expanded="true" signature="64451:64529" ph="SELECT table... ${DB::table('forum_attachment')}" />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/cache/area-select/area.js">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="739">
          <caret line="34" column="1" lean-forward="false" selection-start-line="34" selection-start-column="1" selection-end-line="34" selection-end-column="1" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/module/forum/forum_group.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="539">
          <caret line="366" column="58" lean-forward="false" selection-start-line="366" selection-start-column="58" selection-end-line="366" selection-end-column="58" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/data/template/3_diy_group_group.tpl.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="253">
          <caret line="1194" column="40" lean-forward="true" selection-start-line="1194" selection-start-column="40" selection-end-line="1194" selection-end-column="40" />
          <folding>
            <marker date="1525660444406" expanded="true" signature="18891:18903" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config_global.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="-914">
          <caret line="52" column="0" lean-forward="true" selection-start-line="52" selection-start-column="0" selection-end-line="52" selection-end-column="0" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_admincp.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="376">
          <caret line="329" column="9" lean-forward="true" selection-start-line="329" selection-start-column="9" selection-end-line="329" selection-end-column="9" />
          <folding>
            <marker date="1523670581543" expanded="true" signature="6988:6996" ph="..." />
            <marker date="1523670581543" expanded="true" signature="8815:8821" ph=" " />
            <marker date="1523670581543" expanded="true" signature="11408:12516" ph="..." />
            <marker date="1523670581543" expanded="true" signature="11415:11651" ph="..." />
            <marker date="1523670581543" expanded="true" signature="11658:12516" ph="..." />
            <marker date="1523670581543" expanded="true" signature="11690:11920" ph="..." />
            <marker date="1523670581543" expanded="true" signature="12155:12417" ph="..." />
            <marker date="1523670581543" expanded="true" signature="12270:12408" ph="{...}" />
            <marker date="1523670581543" expanded="true" signature="14179:14196" ph="..." />
            <marker date="1523670581543" expanded="true" signature="16823:16874" ph="..." />
            <marker date="1523670581543" expanded="true" signature="17180:17193" ph="..." />
            <marker date="1523670581543" expanded="true" signature="31467:31491" ph="..." />
            <marker date="1523670581543" expanded="true" signature="31796:31808" ph="..." />
            <marker date="1523670581543" expanded="true" signature="31860:31873" ph="..." />
            <marker date="1523670581543" expanded="true" signature="35123:35133" ph="..." />
          </folding>
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/config/config_ucenter.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="217">
          <caret line="7" column="35" lean-forward="false" selection-start-line="7" selection-start-column="19" selection-end-line="7" selection-end-column="35" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/admin.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="481">
          <caret line="28" column="12" lean-forward="true" selection-start-line="28" selection-start-column="12" selection-end-line="28" selection-end-column="12" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/class/discuz/discuz_admincp.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="119">
          <caret line="174" column="22" lean-forward="true" selection-start-line="174" selection-start-column="22" selection-end-line="174" selection-end-column="22" />
          <folding />
        </state>
      </provider>
    </entry>
    <entry file="file://$PROJECT_DIR$/source/function/function_member.php">
      <provider selected="true" editor-type-id="text-editor">
        <state relative-caret-position="336">
          <caret line="106" column="15" lean-forward="false" selection-start-line="106" selection-start-column="15" selection-end-line="106" selection-end-column="15" />
          <folding />
        </state>
      </provider>
    </entry>
  </component>
</project>